PagesPerMinuteColor (Java Platform SE 8 )
Keywords: javax.print.attribute.standard.PagesPerMinuteColor class
Date: 2023-01-18

javax.print.attribute.standard

## Class PagesPerMinuteColor

- java.lang.Object
- - javax.print.attribute.IntegerSyntax
  - - javax.print.attribute.standard.PagesPerMinuteColor

- All Implemented Interfaces:
    Serializable, Cloneable, Attribute, PrintServiceAttribute

      public final class PagesPerMinuteColor
      extends IntegerSyntax
      implements PrintServiceAttribute

  Class PagesPerMinuteColor is an integer valued printing attribute that indicates the nominal number of pages per minute to the nearest whole number which may be generated by this printer when printing color (e.g., simplex, color). For purposes of this attribute, "color" means the same as for the `ColorSupported` attribute, namely, the device is capable of any type of color printing at all, including highlight color as well as full process color. This attribute is informative, not a service guarantee. Generally, it is the value used in the marketing literature to describe the color capabilities of this device. A value of 0 indicates a device that takes more than two minutes to process a page. If a color device has several color modes, it may use the pages-per- minute value for this attribute that corresponds to the mode that produces the highest number.

  A black and white only printer must not include the PagesPerMinuteColor attribute in its attribute set or service registration. If this attribute is present, then the `ColorSupported` printer description attribute must also be present and have a value of SUPPORTED.

  IPP Compatibility: The integer value gives the IPP integer value. The category name returned by `getName()` gives the IPP attribute name.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PagesPerMinuteColor(int value)` Construct a new pages per minute color attribute with the given integer value.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object object)` Returns whether this pages per minute color attribute is equivalent to the passed in object.
    `Class<? extends Attribute>` | `getCategory()` Get the printing attribute class which is to be used as the "category" for this printing attribute value.
    `String` | `getName()` Get the name of the category of which this attribute value is an instance.

    - ### Methods inherited from class javax.print.attribute.IntegerSyntax

      `getValue, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PagesPerMinuteColor

          public PagesPerMinuteColor(int value)

      Construct a new pages per minute color attribute with the given integer value.
      Parameters:
        `value` - Integer value.
      Throws:
        `IllegalArgumentException` - (Unchecked exception) Thrown if `value` is less than 0.

  - ### Method Detail

    - #### equals

          public boolean equals(Object object)

      Returns whether this pages per minute color attribute is equivalent to the passed in object. To be equivalent, all of the following conditions must be true:
      1. `object` is not null.
      2. `object` is an instance of class PagesPerMinuteColor.
      3. This pages per minute attribute's value and `object`'s value are equal.
      Overrides:
        `equals` in class `IntegerSyntax`
      Parameters:
        `object` - Object to compare to.
      Returns:
        True if `object` is equivalent to this pages per minute color attribute, false otherwise.
      See Also:
        `Object.hashCode()`, `HashMap`

    - #### getCategory

          public final Class<? extends Attribute> getCategory()

      Get the printing attribute class which is to be used as the "category" for this printing attribute value.

      For class PagesPerMinuteColor, the category is class PagesPerMinuteColor itself.

      Specified by:
        `getCategory` in interface `Attribute`
      Returns:
        Printing attribute class (category), an instance of class `java.lang.Class`.

    - #### getName

          public final String getName()

      Get the name of the category of which this attribute value is an instance.

      For class PagesPerMinuteColor, the category name is `"pages-per-minute-color"`.

      Specified by:
        `getName` in interface `Attribute`
      Returns:
        Attribute category name.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2023, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.